Debian Bug report logs - #661344
systemd: refuses to run acpid

version graph

Package: acpid; Maintainer for acpid is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpid is src:acpid.

Reported by: Salvo Tomaselli <tiposchi@tiscali.it>

Date: Sun, 26 Feb 2012 15:39:01 UTC

Severity: important

Fixed in version acpid/1:2.0.14-3

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#661344; Package systemd. (Sun, 26 Feb 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvo Tomaselli <tiposchi@tiscali.it>:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Sun, 26 Feb 2012 15:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvo Tomaselli <tiposchi@tiscali.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: systemd: refuses to run acpid
Date: Sun, 26 Feb 2012 16:35:25 +0100
Package: systemd
Version: 37-1
Severity: critical
Justification: breaks unrelated software

Dear Maintainer,
for some strange reason, systemd won't start acpid, despite it being in rc?.d as S02acpid.

This causes the absence of /var/run/acpid.socket, which causes my acpi event scripts to fail,
which cause the failure to suspend the system when i close the lid.

Regards


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.7a (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages systemd depends on:
ii  initscripts         2.88dsf-22
ii  libacl1             2.2.51-5
ii  libaudit0           1:1.7.18-1.1
ii  libc6               2.13-26
ii  libcap2             1:2.22-1
ii  libcryptsetup1      2:1.3.0-3.1
ii  libdbus-1-3         1.4.18-1
ii  libpam0g            1.1.3-7
ii  libselinux1         2.1.0-4.1
ii  libsystemd-daemon0  37-1
ii  libsystemd-login0   37-1
ii  libudev0            175-3.1
ii  libwrap0            7.6.q-23
ii  udev                175-3.1
ii  util-linux          2.20.1-3

Versions of packages systemd recommends:
ii  libpam-systemd  37-1

Versions of packages systemd suggests:
pn  python       2.7.2-10
pn  systemd-gui  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#661344; Package systemd. (Sun, 26 Feb 2012 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvo Tomaselli <tiposchi@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Sun, 26 Feb 2012 17:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 661344@bugs.debian.org (full text, mbox):

From: Salvo Tomaselli <tiposchi@tiscali.it>
To: 661344@bugs.debian.org
Subject: related to
Date: Sun, 26 Feb 2012 18:04:51 +0100
[Message part 1 (text/plain, inline)]
it appears to be related to this:

https://bugzilla.redhat.com/show_bug.cgi?id=629740
-- 
Salvo Tomaselli
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#661344; Package systemd. (Sun, 26 Feb 2012 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Sun, 26 Feb 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 661344@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Salvo Tomaselli <tiposchi@tiscali.it>, 661344@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#661344: systemd: refuses to run acpid
Date: Sun, 26 Feb 2012 20:00:54 +0100
[Message part 1 (text/plain, inline)]
severity 661344 important
thanks

On 26.02.2012 16:35, Salvo Tomaselli wrote:

> for some strange reason, systemd won't start acpid, despite it being in rc?.d as S02acpid.
> 
> This causes the absence of /var/run/acpid.socket, which causes my acpi event scripts to fail,
> which cause the failure to suspend the system when i close the lid.

What's the output of
systemctl status acpid.service?
and
systemctl show acpid.service

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'critical' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 26 Feb 2012 19:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#661344; Package systemd. (Mon, 27 Feb 2012 00:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Mon, 27 Feb 2012 00:06:07 GMT) Full text and rfc822 format available.

Message #22 received at 661344@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Salvo Tomaselli <tiposchi@tiscali.it>, acpid@packages.debian.org
Cc: 661344@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#661344: systemd: refuses to run acpid
Date: Mon, 27 Feb 2012 01:04:11 +0100
[Message part 1 (text/plain, inline)]
reassign 661344 acpid
thanks
[please always CC the bug report]
On 27.02.2012 00:46, Salvo Tomaselli wrote:
> 
>> What's the output of
>> systemctl status acpid.service?
>> and
>> systemctl show acpid.service
> 
> $ systemctl status acpid.service
> acpid.service - ACPI event daemon
> 	  Loaded: loaded (/lib/systemd/system/acpid.service; static)
> 	  Active: inactive (dead)
> 	  CGroup: name=systemd:/system/acpid.service
> 
> 
> $ systemctl show acpid.service
> Id=acpid.service
> Names=acpid.service
> Requires=acpid.socket basic.target
> Conflicts=shutdown.target
> Before=shutdown.target kdm.service
> After=basic.target acpid.socket
> Description=ACPI event daemon
> LoadState=loaded
> ActiveState=inactive
> SubState=dead
> FragmentPath=/lib/systemd/system/acpid.service
> UnitFileState=static
> InactiveExitTimestampMonotonic=0
> ActiveEnterTimestampMonotonic=0
> ActiveExitTimestampMonotonic=0
> InactiveEnterTimestampMonotonic=0
> CanStart=yes
> CanStop=yes
> CanReload=no
> CanIsolate=no
> StopWhenUnneeded=no
> RefuseManualStart=no
> RefuseManualStop=no
> AllowIsolate=no
> DefaultDependencies=yes
> OnFailureIsolate=no
> IgnoreOnIsolate=no
> IgnoreOnSnapshot=no
> DefaultControlGroup=name=systemd:/system/acpid.service
> ControlGroup=cpu:/system/acpid.service name=systemd:/system/acpid.service
> NeedDaemonReload=no
> JobTimeoutUSec=0
> ConditionTimestampMonotonic=0
> ConditionResult=no
> Type=simple
> Restart=no
> NotifyAccess=none
> RestartUSec=100ms
> TimeoutUSec=1min 30s
> ExecStart={ path=/usr/sbin/acpid ; argv[]=/usr/sbin/acpid ; ignore_errors=no ; 
> start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
> UMask=0022
> LimitCPU=18446744073709551615
> LimitFSIZE=18446744073709551615
> LimitDATA=18446744073709551615
> LimitSTACK=18446744073709551615
> LimitCORE=18446744073709551615
> LimitRSS=18446744073709551615
> LimitNOFILE=4096
> LimitAS=18446744073709551615
> LimitNPROC=30976
> LimitMEMLOCK=65536
> LimitLOCKS=18446744073709551615
> LimitSIGPENDING=30976
> LimitMSGQUEUE=819200
> LimitNICE=0
> LimitRTPRIO=0
> LimitRTTIME=18446744073709551615
> OOMScoreAdjust=0
> Nice=0
> IOScheduling=0
> CPUSchedulingPolicy=0
> CPUSchedulingPriority=0
> TimerSlackNSec=50000
> CPUSchedulingResetOnFork=no
> NonBlocking=no
> StandardInput=socket
> StandardOutput=inherit
> StandardError=inherit
> TTYReset=no
> TTYVHangup=no
> TTYVTDisallocate=no
> SyslogPriority=30
> SyslogLevelPrefix=yes
> SecureBits=0
> CapabilityBoundingSet=18446744073709551615
> MountFlags=1048576
> PrivateTmp=no
> PrivateNetwork=no
> SameProcessGroup=no
> KillMode=control-group
> KillSignal=15
> ControlGroupModify=no
> PermissionsStartOnly=no
> RootDirectoryStartOnly=no
> RemainAfterExit=no
> GuessMainPID=yes
> ExecMainStartTimestampMonotonic=0
> ExecMainExitTimestampMonotonic=0
> ExecMainPID=0
> ExecMainCode=0
> ExecMainStatus=0
> MainPID=0
> ControlPID=0
> SysVStartPriority=-1
> FsckPassNo=0

This is a bug in acpid.
acpid ships native service files for acpid.service and acpid.socket.
The problem is, that the native acpid.service requires acpid.socket, but
the acpid package doesn't enable it, so the native .service unit fails.

You can manually enable the native systemd service files by running
"systemctl enable acpid.socket"

acpid should either enable the socket unit by default (e.g. by shipping
the symlink /etc/systemd/system/sockets.target.wants/acpid.socket →
/lib/systemd/system/acpid.socket in the package, similar to how e.g.
rsyslog does it) or name the systemd .service differently then the sysv
init script, so it is not automatically mapped.

@acpid maintainers: If you need more info on this, please ask me or Tollef.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'systemd' to 'acpid'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 27 Feb 2012 00:06:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions systemd/37-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 27 Feb 2012 00:06:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Wed, 29 Feb 2012 12:33:14 GMT) Full text and rfc822 format available.

Notification sent to Salvo Tomaselli <tiposchi@tiscali.it>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 12:33:19 GMT) Full text and rfc822 format available.

Message #31 received at 661344-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 661344-close@bugs.debian.org
Subject: Bug#661344: fixed in acpid 1:2.0.14-3
Date: Wed, 29 Feb 2012 12:32:12 +0000
Source: acpid
Source-Version: 1:2.0.14-3

We believe that the bug you reported is fixed in the latest version of
acpid, which is due to be installed in the Debian FTP archive:

acpid_2.0.14-3.diff.gz
  to main/a/acpid/acpid_2.0.14-3.diff.gz
acpid_2.0.14-3.dsc
  to main/a/acpid/acpid_2.0.14-3.dsc
acpid_2.0.14-3_amd64.deb
  to main/a/acpid/acpid_2.0.14-3_amd64.deb
kacpimon_2.0.14-3_amd64.deb
  to main/a/acpid/kacpimon_2.0.14-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661344@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Feb 2012 13:24:37 +0100
Source: acpid
Binary: acpid kacpimon
Architecture: source amd64
Version: 1:2.0.14-3
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpid      - Advanced Configuration and Power Interface event daemon
 kacpimon   - Kernel ACPI Event Monitor
Closes: 656676 661344
Changes: 
 acpid (1:2.0.14-3) unstable; urgency=low
 .
   * Added upstream patch to remove pointless "See Also" section from manpage.
     (Closes: #656676)
   * Bumped Standards-Version to 3.9.3, no changes needed.
   * Enable socket for systemd. (Closes: #661344)
Checksums-Sha1: 
 5f1a4683f45ff3415edf2ded57e06cb4c3e65e83 1300 acpid_2.0.14-3.dsc
 35cf21995c4577c9b6d0cffd7fde3eb9484794fb 19195 acpid_2.0.14-3.diff.gz
 0a2a1b99b574b0a8a7be0438afc664090f624985 56738 acpid_2.0.14-3_amd64.deb
 18eafab7464eb83cc73fa8797bcd204c8050bb3a 31060 kacpimon_2.0.14-3_amd64.deb
Checksums-Sha256: 
 6c3f2214c90d49715e9e9bf473d4f645134ca3cb4aa18bae088083053d2b5e0b 1300 acpid_2.0.14-3.dsc
 0d5fe098876f808765574f6a88979b16022eef85e681d1d934897fd1e527f80a 19195 acpid_2.0.14-3.diff.gz
 75ac365a3e60c1c6c5e88fce37044f90005f366e989144777e8658f68f8fc778 56738 acpid_2.0.14-3_amd64.deb
 3d34222aadc3c5f5784c81f8ca98d60f91f636149a6aedca0cddb5282b9140fc 31060 kacpimon_2.0.14-3_amd64.deb
Files: 
 6c71ebef95da59159d10bf64e08b11a2 1300 admin optional acpid_2.0.14-3.dsc
 760468248edba5319def3b8cd32a6b91 19195 admin optional acpid_2.0.14-3.diff.gz
 49a2dab54264a5e85030d3beab56ed44 56738 admin optional acpid_2.0.14-3_amd64.deb
 fef9715957ee0259873781be2a1fb3d0 31060 utils extra kacpimon_2.0.14-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPThl1VkEm8inxm9ERAuzbAJ9KJP+68vZhLes0IBGH0FU4K9MCfwCfZ0WS
YoRpkx65+nYg78NxUqHO7Y0=
=10J5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Apr 2012 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:17:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.